Description

When submitting a new host with a subnet that is defined in Foreman, but not in the DHCP server's dhcpd.conf, the error that is

displayed is:

Unable to save

Create DHCP Settings for pspr-d1db01.blah.com task failed with the following error: 400 Bad Request

The proxy log reveals the real problem:

E, [2014-03-21T10:22:00.509884 #20117] ERROR -- : No Subnet detected for: "172.26.92.0"

Can this error be displayed to the user in the UI?

Related issues:

Related to Foreman - Feature #1966: Improve UI errors when smart proxy return... Closed 11/22/2012

Related to Foreman - Feature #7916: Foreman WebUI should give clearer error m... New 10/13/2014

History

#1 - 03/21/2014 03:31 PM - Dominic Cleal

- Related to Feature #1966: Improve UI errors when smart proxy returns 400 bad request added

#2 - 03/21/2014 03:31 PM - Dominic Cleal

- Status changed from New to Feedback

Have a look at #1966, we're improving the UI errors to explain that the "400 Bad Request" actually came from a proxy and the identity of the proxy. 

The bit we don't have at the moment is getting the underlying reason from the proxy into the proxy's HTTP response so Foreman can consume it.

#3 - 10/13/2014 08:39 AM - Dominic Cleal

- Related to Feature #7916: Foreman WebUI should give clearer error message when foreman-proxy cannot be contacted added
